loci.formats.in

## Class ScanrReader.ScanrHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.ScanrReader.ScanrHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    ScanrReader

      class ScanrReader.ScanrHandler
      extends loci.common.xml.BaseHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.StringBuilder` | `currentValue`
    `private boolean` | `foundPlateLayout`
    `private java.lang.String` | `key`
    `private int` | `nextXPos`
    `private int` | `nextYPos`
    `private java.lang.String` | `qName`
    `private boolean` | `validChannel`
    `private java.lang.String` | `wellIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanrHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          private java.lang.String key

    - #### qName

          private java.lang.String qName

    - #### wellIndex

          private java.lang.String wellIndex

    - #### validChannel

          private boolean validChannel

    - #### foundPlateLayout

          private boolean foundPlateLayout

    - #### nextXPos

          private int nextXPos

    - #### nextYPos

          private int nextYPos

    - #### currentValue

          private final java.lang.StringBuilder currentValue

  - ### Constructor Detail

    - #### ScanrHandler

          ScanrHandler()

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment